Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class TypedNode

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.TypedNode

    public class TypedNode
    extends Object

Expression nodes with type information

### Constructor Summary

Constructors
`TypedNode​(org.apache.sling.scripting.sightly.compiler.expression.ExpressionNode node, org.apache.sling.scripting.sightly.java.compiler.impl.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.scripting.sightly.compiler.expression.ExpressionNode` `getNode()`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypedNode

    public TypedNode​(org.apache.sling.scripting.sightly.compiler.expression.ExpressionNode node,
                     org.apache.sling.scripting.sightly.java.compiler.impl.Type type)

### Method Detail

#### getNode

    public org.apache.sling.scripting.sightly.compiler.expression.ExpressionNode getNode()

#### getType

    public org.apache.sling.scripting.sightly.java.compiler.impl.Type getType()